extends Node2D

class_name Skippable

@onready var timer := $Timer

var next_scene := "res://scenes/ultra.tscn"

### 	 ACCESSORS 	 ###






### 	 BUILT-IN 	 ###

func _ready() -> void:
	connect_signals()
	Input.set_mouse_mode(Input.MOUSE_MODE_HIDDEN)
	AUDIO.play_music("theme")



func _input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		change_scene()

func change_scene() -> void:
	get_tree().change_scene_to_file(next_scene)

### 	 VIRTUAL 	 ###





### 	 LOGIC 	 ###

func connect_signals() -> void:
	timer.connect("timeout", _on_timer_timeout)


### 	 SIGNAL-RESPONSE 	 ###

func _on_timer_timeout() -> void:
	change_scene()
